Commits

Vincent Fiack committed 0e8fad9

import

Comments (0)

Files changed (146)

+syntax: glob
+
+#eclipse
+.paths
+.project
+.projectSettings
+.settings
+.classpath
+
+#intellij idea
+.idea
+*.iml
+
+#maven
+target
+
+#caia
+caia
+
+#webstart keystore
+conf
+
+#misc
+*~
+RESULTS.txt

bin/bigcompetition.sh

+mvn clean package
+cp target/symple-latest.jar caia/big/bin/latest.jar
+touch caia/big/bin/latest
+
+rm caia/big/*logs/*
+cd caia/big/bin
+./caiaio -m competition
+#!/bin/sh
+export MAINCLASS=Engine
+
+# cat all code
+mkdir -p target
+find src/main/java/ -not -wholename "*/test/*" -not -wholename "*/gui/*" -not -wholename "*/mindsports/*" -name "*.java" -exec cat {} \; -exec echo "" \; > target/cat.java
+
+# write imports first
+grep import target/cat.java | grep -v "fr.vfiack" | sort | uniq > target/$MAINCLASS.java
+
+# write all code without imports nor packages
+grep -v "^import " target/cat.java | grep -v "^package" >> target/$MAINCLASS.java
+
+# no public class
+sed -i "s/public class/class/g" target/$MAINCLASS.java
+sed -i "s/public abstract class/abstract class/g" target/$MAINCLASS.java
+sed -i "s/public interface/interface/g" target/$MAINCLASS.java
+sed -i "s/public enum/enum/g" target/$MAINCLASS.java
+
+# ...except for the main one
+sed -i s/class\ $MAINCLASS/public\ class\ $MAINCLASS/ target/$MAINCLASS.java
+
+# and finally compile...
+cd target
+javac $MAINCLASS.java
+cd ..

bin/competition.sh

+mvn clean package
+cp target/symple-latest.jar caia/bin/latest.jar
+touch caia/bin/latest
+
+rm caia/playerlogs/*
+rm caia/refereelogs/*
+cd caia/bin
+./caiaio -m competition
+
+cd ../..
+./bin/extract-lost-games.sh

bin/extract-lost-games.sh

+#!/bin/sh
+
+cd caia
+mkdir -p lostlogs
+rm -rf lostlogs/*
+
+cd refereelogs
+for f in latest*log; do
+  if ! grep "PLAYER_1:_WIN" $f > /dev/null
+  then cp $f ../lostlogs && cp `basename $f log`html ../lostlogs;
+  fi;
+done
+
+for f in *-latest*log; do
+  if ! grep "PLAYER_2:_WIN" $f > /dev/null
+  then cp $f ../lostlogs && cp `basename $f log`html ../lostlogs;
+  fi;
+done
+
+#! /bin/sh
+
+java -cp target/symple-latest.jar fr.vfiack.symple.gui.MainGui $1

bin/mindsports.sh

+#! /bin/sh
+PLAYER_ID="1353516686"
+
+# check password
+if [ ! $1 ]; then
+  echo "usage: mindsports.sh <password>"
+  exit 1;
+fi
+
+java -cp target/symple-latest.jar fr.vfiack.symple.mindsports.Mindsports $PLAYER_ID $1

bin/mkscenario.sh

+#!/bin/sh
+
+SRC=$1
+DEST=scenarios/`date "+%s"`.txt
+cp $SRC $DEST
+vi $DEST
+mvn clean package
+cp target/symple-latest.jar caia/bin/latest.jar
+touch caia/bin/latest
+rm caia/playerlogs/*
+rm caia/refereelogs/*
+cd caia/bin
+./caiaio

bin/publish-webstart.sh

+#!/bin/sh
+
+# check password
+if [ ! $1 ]; then
+ echo "usage: publish-webstart.sh <ftp-password>"
+ exit 1;
+fi
+
+FTP_UPLOAD="ftp-upload --host ftp.vfiack.fr --passive --user vfiack --password $1 -d www -d projets -d symple -d webstart" 
+
+echo "=== CREATE WEBSTART ARTEFACT ==="
+mvn clean webstart:jnlp
+rm velocity.log
+
+echo "=== SIGNING JARS ==="
+cd target/jnlp
+
+for JAR in *.jar ; do
+  jarsigner -keystore ../../conf/keystore -storepass symple $JAR symple;
+done
+
+echo "=== UPLOADING ==="
+$FTP_UPLOAD *.jnlp *.jar
+cd images
+$FTP_UPLOAD -d images *.jpg
+
+echo "=== RUNNING ==="
+javaws -wait http://www.vfiack.fr/projets/symple/webstart/launch.jnlp
+#! /bin/sh
+
+mvn clean package
+java -cp target/symple-latest.jar fr.vfiack.symple.test.RunTests $*

scenarios/1351418111.txt

+#play a shared lib before an inner one
+Round 1 player 1: L12
+Round 2 player 2: H9
+Round 3 player 1: L4
+Round 4 player 2: D11
+Round 5 player 1: D4
+Round 6 player 2: L11
+Round 7 player 1: L8
+Round 8 player 2: C11-L10-I9-H5
+Round 9 player 1: D8
+Round 10 player 2: E4
+Round 11 player 1: H12
+Round 12 player 2: K4
+Round 13 player 1: B13
+Round 14 player 2: C3
+Round 15 player 1: H7
+Round 16 player 2: M3
+Round 17 player 1: B12-L7-K12-G12-G7-E8-D5-L3
+Round 18 player 2: E5-C4-B11-H6-L9-M4-K3-H8
+Round 19 player 1: F12-B14-I7-C8-L2-M12-D3-M7
+Round 20 player 2: K2-M2-C5-E3-K11-I8-I6-E11
+Round 21 player 1: N7-B8-D2-N12-E12-G6-L1-C14
+Round 22 player 2: F11-E2-C2-K5-M11-M1-G5-G8
+Round 23 player 1: D14-N11-D1-O7-I12-J7-A8-K1
+Round 24 player 2: F8-G11-C6-L5-E1-J11-M5-J6
+Round 25 player 1: N10-J1-E14-F6-I13-E9-C1-L6
+Round 26 player 2: J12-C7-K6-J8-C12-E6
+Round 27 player 1: I14-E10-J2-B1-F14-F5-N9-K8
+Round 28 player 2: K7-J13-D10-B2-F9-F4
+Round 29 player 1: J14-K9-J3-F10-N13-A1-G14-F7
+Round 30 player 2: E7-K13-M6-A2-C13-J9
+Round 31 player 1: N14-K14-G10-J4-N6-A14-D6
+Round 32 player 2: D7-L13-D13-N5-H10
+Round 33 player 1: G15-H11-J5-M9-O8-B7
+Round 34 player 2: E13-L14-I5-B6-G9
+Round 35 player 1: N15-A12-D12-I4-K10-D9
+Round 36 player 2: F13-H4-J10-A6
+Round 37 player 1: M14-A11-A7-I3-I15-O6
+Round 38 player 2: G13-H3-I11-A3
+Round 39 player 1: H13-M13-A10-B9-I1-O5
+Round 40 player 2: B10-H2-L15-F1
+Round 41 player 1: K15-I2-M15-C15-C9-O4
+Round 42 player 2: H1-C10-M10-G1
+Round 43 player 1: N4-E15-O11-J15
+Round 44 player 2: N3-I10
+Round 45 player 1: O13-A15-O3
+Round 46 player 2: N1
+Round 47 player 1: O9-H14
+Round 48 player 2: O1-G3-B4
+#expect O2

scenarios/1351418119.txt

+# connections avec deux expansions
+Round 1 player 1: M13
+Round 2 player 2: H9
+Round 3 player 1: M3
+Round 4 player 2: D11
+Round 5 player 1: C13
+Round 6 player 2: L11
+Round 7 player 1: C3
+Round 8 player 2: C11-L12-I9-H3
+Round 9 player 1: M8
+Round 10 player 2: E4
+Round 11 player 1: H13
+Round 12 player 2: K4
+Round 13 player 1: C8
+Round 14 player 2: C5
+Round 15 player 1: H6
+Round 16 player 2: M5
+Round 17 player 1: H14-M14-D3-H5-M7-L3-C14-D8
+Round 18 player 2: M6-H4-L13-E3-K3-C6-E11-J9
+Round 19 player 1: H12-H7-N3-E8-M9-B3-C12-L14
+Round 20 player 2: C7-H2-F11-K2-K9-E2-M12-M4
+Round 21 player 1: K14-H11-M10-F8-N4-G5-D14-B2
+Round 22 player 2: D2-L2-G11-M11-D7-L9-N5-H1
+Round 23 player 1: F5-E14-B8-H10-K13-B1-N2-L10
+Round 24 player 2: E7-B11-L8-K12-M2-C2-N6-G4
+Round 25 player 1: E5-G10-B7-K10-F14-N1-N13-B4
+Round 26 player 2: B12-N7-F7-G9-N12-F4-K5
+Round 27 player 1: L7-I5-B14-O13-H15-L4-B9-C1
+Round 28 player 2: N8-O12-F6-J10-J5-B10-I4
+Round 29 player 1: K7-A14-D1-M1-F10-F9-E6-J14
+Round 30 player 2: N9-B6-G12-E1-I10-L1-K11
+Round 31 player 1: I13-F15-A4-O4-J15-D6-N10
+Round 32 player 2: G13-L5-B5-I11-N11-D4
+Round 33 player 1: G14-C4-D5-L15-O2-L6
+Round 34 player 2: F13-K8-A5-J6-O11-I1
+Round 35 player 1: K6-C15-A2-O5-I6-M15
+Round 36 player 2: E13-J7-O10-I12-G7-G3
+#expect-all G8-H8

scenarios/1351418125.txt

+# evite de se faire couper
+
+Round 1 player 1: H8
+Round 2 player 2: H9
+Round 3 player 1: H14
+Round 4 player 2: D11
+Round 5 player 1: H2
+Round 6 player 2: L11
+Round 7 player 1: B8
+Round 8 player 2: C11-L12-I9-H5
+Round 9 player 1: N8
+Round 10 player 2: E4
+Round 11 player 1: H11
+Round 12 player 2: K4
+Round 13 player 1: E8
+Round 14 player 2: C3
+Round 15 player 1: K8
+Round 16 player 2: M3
+Round 17 player 1: I14-H3-K7-N7-H7-G11-B7-E9
+Round 18 player 2: I8-H4-K5-N3-B3-E5-E11-L13
+Round 19 player 1: G14-K9-B6-N9-I11-E7-H6-G3
+Round 20 player 2: I7-F11-K6-E6-L14-O3-A3-G4
+Round 21 player 1: F14-N6-J11-F3-B9-E10-I6-L9
+Round 22 player 2: F10-L10-J9-E3-D3-I5-J6-M2
+Round 23 player 1: N5-J14-B10-H1-G6-G10-D7-L7
+Round 24 player 2: B11-F6-L6-K14-G9-M1-G5
+Round 25 player 1: E14-N10-B5-F2-D6-K11-J7-G8
+Round 26 player 2: F9-M6-K10-D5-N4-I4
+Round 27 player 1: D14-N11-E2-B4-K12-F8-J8
+Round 28 player 2: M7-I3-D2-D10-K13-L1
+Round 29 player 1: C14-N12-F4-C4-J10-F7-L8
+Round 30 player 2: M8-J13-D9-I2-A4-K1
+#expect M9

scenarios/1351418131.txt

+#ne pas remplir ses propres yeux
+
+Round 1 player 1: H8
+Round 2 player 2: H9
+Round 3 player 1: H14
+Round 4 player 2: D11
+Round 5 player 1: H2
+Round 6 player 2: L11
+Round 7 player 1: B8
+Round 8 player 2: C11-L12-I9-H5
+Round 9 player 1: N8
+Round 10 player 2: E4
+Round 11 player 1: H11
+Round 12 player 2: K4
+Round 13 player 1: E8
+Round 14 player 2: C3
+Round 15 player 1: K8
+Round 16 player 2: M3
+Round 17 player 1: I14-H3-K7-N7-H7-G11-B7-E9
+Round 18 player 2: I8-H4-K5-N3-B3-E5-E11-L13
+Round 19 player 1: G14-K9-B6-N9-I11-E7-H6-G3
+Round 20 player 2: I7-F11-K6-E6-L14-O3-A3-G4
+Round 21 player 1: F14-N6-J11-F3-B9-E10-I6-L9
+Round 22 player 2: F10-L10-J9-E3-D3-I5-J6-M2
+Round 23 player 1: N5-J14-B10-H1-G6-G10-D7-L7
+Round 24 player 2: B11-F6-L6-K14-G9-M1-G5
+Round 25 player 1: E14-N10-B5-F2-D6-K11-J7-G8
+Round 26 player 2: F9-M6-K10-D5-N4-I4
+Round 27 player 1: D14-N11-E2-B4-K12-F8-J8
+Round 28 player 2: M7-I3-D2-D10-K13-L1
+Round 29 player 1: C14-N12-F4-C4-J10-F7-L8
+Round 30 player 2: M8-J13-D9-I2-A4-K1
+Round 31 player 1: B14-N13-I1-A10-G12-D8
+Round 32 player 2: M9-I13-F5-A11-J1
+Round 33 player 1: A5-F1-M10-I10-H13-G7
+Round 34 player 2: I12-C9-C5-M5-O2
+Round 35 player 1: F13-J12-C10-M11-G1
+Round 36 player 2: C8-C6-H12-O4-L5
+#exclude G2

scenarios/1351420434.txt

+#don't connect too early!
+Round 1 player 1: C8
+Round 2 player 2: B14
+Round 3 player 1: M8
+Round 4 player 2: C14-N4
+Round 5 player 1: H8
+Round 6 player 2: K6
+Round 7 player 1: H13
+Round 8 player 2: H12
+Round 9 player 1: H3
+Round 10 player 2: L14
+Round 11 player 1: H5
+Round 12 player 2: M14-N3-K5-D14-G12
+Round 13 player 1: F8
+Round 14 player 2: H11-K7-N2-N14-E14
+Round 15 player 1: B2
+Round 16 player 2: B4
+#exclude H4
+#exclude G8

scenarios/1351422000.txt

+#destroy big eyes
+Round 1 player 1: M13
+Round 2 player 2: H8
+Round 3 player 1: M3
+Round 4 player 2: H14
+Round 5 player 1: C3
+Round 6 player 2: H2
+Round 7 player 1: C13
+Round 8 player 2: H13-G2-I8-B8
+Round 9 player 1: L8
+Round 10 player 2: N8
+Round 11 player 1: H4
+Round 12 player 2: H11
+Round 13 player 1: D8
+Round 14 player 2: H5
+Round 15 player 1: G10
+Round 16 player 2: E8
+Round 17 player 1: G4-M14-C14-N3-C2-K8-F10-D9
+Round 18 player 2: M8-E9-G11-C8-J8-G5-I2-I14
+Round 19 player 1: G9-I4-N13-B13-M2-B3-L7-D10
+Round 20 player 2: E10-I5-I3-J14-C9-I11-M7-G8
+Round 21 player 1: J4-D11-C12-L14-D3-L3-K9-H10
+Round 22 player 2: J5-C10-K14-M6-J11-J3-E7-J9
+Round 23 player 1: E3-D14-N4-K10-M12-K4-E11-F11
+Round 24 player 2: K3-C11-L6-K11-F5-D7-G14-H9
+Round 25 player 1: F3-M11-N5-E14-F12-L10-K5
+Round 26 player 2: L11-F4-F14-G3-K6-C7-J7
+Round 27 player 1: D4-N11-E13-I10-N6-L5-K7
+Round 28 player 2: J10-M5-F2-F13-F9-E4
+Round 29 player 1: D5-N10-G12-B12-L2-L9-H3
+Round 30 player 2: E2-N9-H12-B11-E5
+Round 31 player 1: C5-K2-L12-A12-M9-I9
+Round 32 player 2: D2-A11-N7-G13-I6
+Round 33 player 1: B5-K12-O5-B14
+Round 34 player 2: J2-M4-C6-K13-F6
+#expect J12

scenarios/1351440872.txt

+#don't fill eyes if possible
+Round 1 player 1: J10
+Round 2 player 2: M13
+Round 3 player 1: F6
+Round 4 player 2: M3
+Round 5 player 1: F10
+Round 6 player 2: C13
+Round 7 player 1: J6
+Round 8 player 2: C14-N13-L3-C3
+Round 9 player 1: H8
+Round 10 player 2: M8
+Round 11 player 1: B8
+Round 12 player 2: H3
+Round 13 player 1: E8
+Round 14 player 2: C8
+Round 15 player 1: H11
+Round 16 player 2: H13
+Round 17 player 1: H7-F5-E10-J5-I10-F8-G11-B7
+Round 18 player 2: D8-H12-M7-D3-G3-N3-L13-C12
+Round 19 player 1: D10-G5-J7-H6-I9-B6-E7-G12
+Round 20 player 2: G13-D7-I3-C11-B3-M6-K13-O3
+Round 21 player 1: K10-C6-I5-E11-F12-E5-G7
+Round 22 player 2: F13-D6-I4-C10-M9-D2-N14-K3
+Round 23 player 1: L10-F4-K5-C5-D9-G8
+Round 24 player 2: D5-M10-F3-C15-A3-N15-K4-E13
+Round 25 player 1: L5-K9-G9-B9-E4-D11
+Round 26 player 2: C9-E12-E3-L6-K12-K2
+Round 27 player 1: K8-M5-B10-D12-D4
+Round 28 player 2: K11-C4-E6-K6-M4-H14
+Round 29 player 1: N5-L11-B11-D13-G4
+Round 30 player 2: K7-H4-B12-J11-H15-N4
+Round 31 player 1: D14-M11-N6-A6-G6
+Round 32 player 2: H5-I11-D15-N7-E14-K1
+Round 33 player 1: N11-J4-B5-F7-F11
+Round 34 player 2: N12-N10-J3-A12-I15
+Round 35 player 1: L8-O5-A10-G10
+Round 36 player 2: A11-O10-J15-L12-O4
+Round 37 player 1: A8-J9-E9-L4
+Round 38 player 2: M12-L7-E15-B4
+Round 39 player 1: O11-C7-O6-F9
+Round 40 player 2: O7-O12-D1-A13
+Round 41 player 1: L9-A5-I7
+Round 42 player 2: A4-L14-A14-N9
+#exclude I6

scenarios/1351441743.txt

+#split opponent if possible
+M5
+M13
+C5
+M3
+H3
+C13
+E13
+D13-M4-N13-C3
+K13
+M8
+E4
+C8
+K4
+H13
+H9
+H8
+N5-D5-E3-K3-H10-H4-J13-F13
+D3-I13-L13-M7-L3-I8-B8-B13
+L5-I10-B5-I4-F14-J3-J14-F3
+M6-D4-G13-L4-J8-D8-N12-A13
+K12-G10-D6-H5-F12-E2-J2-L6
+D2-N11-N6-D7-I14-N4-G8-D14
+K11-G5-J10-B4-I2-F11-K6-E1
+B3-L12-L7-J9-G14-E14-D9-O4
+J6-B6-H6-H11-E11-L11-F1-I1
+D10-M11-G12-D1-G9-K7-L2-D15
+B10
+C14-C9-C2-K2-N7-K9-L14-I12
+N14
+H15
+#expect O5

scenarios/1351538542.txt

+#explore more in late endgame
+Round 1 player 1: M3
+Round 2 player 2: B13
+Round 3 player 1: C3
+Round 4 player 2: L2
+Round 5 player 1: M13
+Round 6 player 2: L3-C13-H8
+Round 7 player 1: H4
+Round 8 player 2: E10
+Round 9 player 1: L8
+Round 10 player 2: B2
+Round 11 player 1: D8
+Round 12 player 2: L12
+Round 13 player 1: H12
+Round 14 player 2: J10
+Round 15 player 1: F6
+Round 16 player 2: M12-D10-L4-C2-H7-D13-I10
+Round 17 player 1: J6
+Round 18 player 2: E5
+Round 19 player 1: B3-F5-J7-E8-H3-I12-M8-L13-M2
+Round 20 player 2: F10-E6-L5-H6-H10-D2-K12-E13
+Round 21 player 1: K8-H2-F7-D3-J12-C8-J5-K13-M4
+Round 22 player 2: E7-H5-L6-C10-K10-E2-F13-N12
+Round 23 player 1: N8-B8-M5-N13-E3-J4-G12-F4-I2
+Round 24 player 2: E4-L7-G13-B10-F2-L10-G8-N11
+Round 25 player 1: M6-F12-J3-D7-D4-G2-N7-K14-G7
+Round 26 player 2: F3-F8-H13-M10-K7-D6-F11-O11
+Round 27 player 1: E12-I7-D5-O13-K9-E9-M1-G5-G3
+Round 28 player 2: C6-I13-I8-L1-J9-G11-A2-O12
+Round 29 player 1: F9-D12-A3-K3-N9-J14-I1-G6-N5
+Round 30 player 2: J13-B6-A10-I5-K2-F1-L9-O10
+Round 31 player 1: O8-H11-J15-K6-G9-C5-O5-H1
+Round 32 player 2: J11-B1-J2-I4-C9-B7-I14-O9
+Round 33 player 1: J8-E11-G10-J1-B5-I15-N1
+Round 34 player 2: D1-I3-M7-D11-C12-I11-A6
+Round 35 player 1: H9-N10-K1-A4-H15-O1
+Round 36 player 2: I9-A13-B11-K5-G1-C7
+Round 37 player 1: K4-H14-B9-A5-N3-G4
+Round 38 player 2: A12-A9-I6-A7-A1
+Round 39 player 1: A8-G14-M9-O4-C4
+Round 40 player 2: D9-F14-L11-C1
+Round 41 player 1: G15-O6-B4-O7
+Round 42 player 2: F15-M11-E1
+#expect L15

scenarios/1351541334.txt

+#make eye first
+D3
+M13
+M4
+B2
+C12
+G8
+C5
+J10
+E13
+M12-C2-I10-G7-M2
+K3
+B11
+D8
+L7
+H4
+K7-C11-H10-M3-D2-M11-G6
+K2-B5-B12-I4-L4-D7-C3-E12
+G5-D11-M7-E2-M14-G10-L3
+E11-E3-D6-J4-N4-L2-B6-A12
+D12-N7-G4-B3-F10-M10-N3
+E10-F3-B7-D9-H5-N5-A11-J2
+D13-G3-M9-F2-J7-K10-M1
+H6-E14-B8-N6-I2-F4-C9-C13
+D14-H3-I7-B4-F9-L14-L1
+H7-F5-C14-H2-F11-M6-C10-A8
+C4-E9-D10-I3-K14-I6-K1
+G2-H8-G11-F6-E8-L6-A10-A5
+B10-D4-J14-I5-H11-F7-J1
+K12
+O14
+N11
+O12
+#expect C15

scenarios/1351542842.txt

+#enclose first
+Round 1 player 1: D12
+Round 2 player 2: M2
+Round 3 player 1: L4
+Round 4 player 2: B13
+Round 5 player 1: L12
+Round 6 player 2: H8
+Round 7 player 1: D4
+Round 8 player 2: B2
+Round 9 player 1: H4
+Round 10 player 2: B12-L2-H7-C2-M10
+Round 11 player 1: D8
+Round 12 player 2: I13
+Round 13 player 1: L8
+Round 14 player 2: E10
+Round 15 player 1: H10
+Round 16 player 2: I12-L10-D10-D2-H6-B14-K2
+Round 17 player 1: C4-K4-I10-E8-H5-L9-L11-D13
+Round 18 player 2: I11-H9-K10-C10-E2-B11-J2
+Round 19 player 1: J10-D14-B4-F8-H3-M4-L7-L13
+Round 20 player 2: K11-I14-F10-I2-F2-I9-C14
+Round 21 player 1: J11-G8-N4-D11-L14-L6-E4-H2
+Round 22 player 2: G9-N10-G2-N2-H11-E11-C12
+Round 23 player 1: G10-F9-J4-F4-H1-L15-K9-E12
+Round 24 player 2: J9-G11-K12-G3-I3-C9-C15
+Round 25 player 1: J12-F12-C8-A4-O4-I5-M11-M9
+Round 26 player 2: G4-J13-N9-I6-I4-D15-B9
+Round 27 player 1: G5-K13-F11-B8-K6-J3-F3
+Round 28 player 2: J6-N8-A9-I15-B3-N3-E15
+#expect A8

scenarios/1351620698.txt

+# more eyes in late endgame
+Round 1 player 1: C13
+Round 2 player 2: C3
+Round 3 player 1: M3
+Round 4 player 2: M13
+Round 5 player 1: M8
+Round 6 player 2: H13
+Round 7 player 1: C8
+Round 8 player 2: D3-H12-M12-H3
+Round 9 player 1: H8
+Round 10 player 2: L6
+Round 11 player 1: K14
+Round 12 player 2: C10
+Round 13 player 1: L3-C7-H7-D13-M9-J14
+Round 14 player 2: N2
+Round 15 player 1: E2
+Round 16 player 2: F7
+Round 17 player 1: B3
+Round 18 player 2: L7-B10-N3-E3-I3-F8-M14-H14
+Round 19 player 1: N13
+Round 20 player 2: M2-M11-H11-L8-C4-J3-B11-F6
+Round 21 player 1: F2-K3-M7-N14-B4-E13-H9-C6-I14
+Round 22 player 2: B12-M10-L2-L9-C5-H10-F9-H2
+Round 23 player 1: K2-M6-B5-F3-N12-G9-B13-C9-L14
+Round 24 player 2: C2-B9-N4-H15-M15-F5-L5-J2
+Round 25 player 1: M4-B2-N11-N6-F4-F13-B8-H6-L13
+Round 26 player 2: C1-N10-M5-D10-I13-J1-G5-O4
+Round 27 player 1: N5-N15-K4-A8-B1-L12-A13-G10-G2
+Round 28 player 2: N9-E4-K1-J13-C12-O5-H5-K5
+Round 29 player 1: J4-O11-O6-L11-G13-I9-D6-D2-A5
+Round 30 player 2: N8-D5-N1-H1-G14-E6-D12-K9
+Round 31 player 1: J5-O10-O7-L10-F14-I10-G4-D9-A1
+Round 32 player 2: D1-L15-O3-E12-J9-G15-I5-G1
+Round 33 player 1: J6-E1-O9-O8-F15-A6-F10-E9-K10
+Round 34 player 2: K15-J10-I6-E10-M1-D4-K13-G3
+Round 35 player 1: K6-H4-I15-N7-A3-G11-F12-E8
+Round 36 player 2: G12-K7-F1-J15-O1-A12-G8
+Round 37 player 1: I4-K12-O14-G7-A9-A14-A4
+Round 38 player 2: E11-J8-I11-I7-I1-O2
+Round 39 player 1: F11-J7-J12-O12-A10-A2
+Round 40 player 2: L4-G6-A11-I12-I2
+Round 41 player 1: J11-I8-D7-O15
+Round 42 player 2: E7-D11-K8-L1
+Round 43 player 1: B15
+Round 44 player 2: E5-C11
+Round 45 player 1: D15
+Round 46 player 2: E14
+Round 47 player 1: D14-A7-K11-O13
+Round 48 player 2: E15
+#expect C14

scenarios/1351666088.txt

+#when you're forced to play in opponent area in late endgame, select the biggest one
+Round 1 player 1: C13
+Round 2 player 2: C3
+Round 3 player 1: M3
+Round 4 player 2: M13
+Round 5 player 1: M8
+Round 6 player 2: H13
+Round 7 player 1: C8
+Round 8 player 2: D3-H12-M12-H3
+Round 9 player 1: H8
+Round 10 player 2: L6
+Round 11 player 1: K14
+Round 12 player 2: C10
+Round 13 player 1: L3-C7-H7-D13-M9-J14
+Round 14 player 2: N2
+Round 15 player 1: E2
+Round 16 player 2: F7
+Round 17 player 1: B3
+Round 18 player 2: L7-B10-N3-E3-I3-F8-M14-H14
+Round 19 player 1: N13
+Round 20 player 2: M2-M11-H11-L8-C4-J3-B11-F6
+Round 21 player 1: F2-K3-M7-N14-B4-E13-H9-C6-I14
+Round 22 player 2: B12-M10-L2-L9-C5-H10-F9-H2
+Round 23 player 1: K2-M6-B5-F3-N12-G9-B13-C9-L14
+Round 24 player 2: C2-B9-N4-H15-M15-F5-L5-J2
+Round 25 player 1: M4-B2-N11-N6-F4-F13-B8-H6-L13
+Round 26 player 2: C1-N10-M5-D10-I13-J1-G5-O4
+Round 27 player 1: N5-N15-K4-A8-B1-L12-A13-G10-G2
+Round 28 player 2: N9-E4-K1-J13-C12-O5-H5-K5
+Round 29 player 1: J4-O11-O6-L11-G13-I9-D6-D2-A5
+Round 30 player 2: N8-D5-N1-H1-G14-E6-D12-K9
+Round 31 player 1: J5-O10-O7-L10-F14-I10-G4-D9-A1
+Round 32 player 2: D1-L15-O3-E12-J9-G15-I5-G1
+Round 33 player 1: J6-E1-O9-O8-F15-A6-F10-E9-K10
+Round 34 player 2: K15-J10-I6-E10-M1-D4-K13-G3
+Round 35 player 1: K6-H4-I15-N7-A3-G11-F12-E8
+Round 36 player 2: G12-K7-F1-J15-O1-A12-G8
+Round 37 player 1: I4-K12-O14-G7-A9-A14-A4
+Round 38 player 2: E11-J8-I11-I7-I1-O2
+Round 39 player 1: F11-J7-J12-O12-A10-A2
+Round 40 player 2: L4-G6-A11-I12-I2
+Round 41 player 1: J11-I8-D7-O15
+Round 42 player 2: E7-D11-K8-L1
+Round 43 player 1: B15
+Round 44 player 2: E5-C11
+Round 45 player 1: D15
+Round 46 player 2: E14
+Round 47 player 1: D14-A7-K11-O13
+Round 48 player 2: E15
+Round 49 player 1: C15-B7
+#expect-any B14-C14

scenarios/1351666960.txt

+#don't play in an opponent small eye if possible, restrict his expansions in my eyes
+Round 1 player 1: D4
+Round 2 player 2: M13
+Round 3 player 1: D13
+Round 4 player 2: M3
+Round 5 player 1: C9
+Round 6 player 2: M7
+Round 7 player 1: F3
+Round 8 player 2: E11
+Round 9 player 1: J13
+Round 10 player 2: M10
+Round 11 player 1: H8
+Round 12 player 2: E10-L3-L13-L7-L10-J3
+Round 13 player 1: N5
+Round 14 player 2: C5
+Round 15 player 1: C4-K13-E13-N4-G3-I8-C8
+Round 16 player 2: C14
+Round 17 player 1: N11
+Round 18 player 2: D2
+Round 19 player 1: K2
+Round 20 player 2: D5-C13-I3-C2-N13-E9-N3-N10-K7
+Round 21 player 1: K3-B4-N6-F13-K14-N12-J8-C10-H3
+Round 22 player 2: D14-B5-I4-N7-B2-K10-L14-E12-L2
+Round 23 player 1: F12-K15-J2-A4-O12-C11-K8-H4-M6
+Round 24 player 2: I2-E5-D12-E14-J10-J7-O13-O3-E2
+Round 25 player 1: F14-K4-M11-C12-G8-L15-L6-H5-A5
+Round 26 player 2: B13-H2-M14-E4-L1-I10-I7-E8-A2
+Round 27 player 1: F15-L11-A6-J4-E3-B12-F8-I13-K6
+Round 28 player 2: L12-A13-I5-D3-H10-B6-H7-F11-K1
+Round 29 player 1: K11-E15-J1-A7-L8-A12-M15-F2-J6
+Round 30 player 2: K12-D15-B7-J5-E1-G7-F9-O10-O4
+Round 31 player 1: J11-K5-J12-G12-B3-F7-B8-F4
+Round 32 player 2: F5-G2-N14-A14-H11-O5-E7-M8-F1
+Round 33 player 1: N2
+Round 34 player 2: N15-I1-B14-H12-O6-G5-D10-H6-A3
+Round 35 player 1: G11-I6-O2-C3-G4-H13-F6-C7
+Round 36 player 2: L4-C6-M12-N8-B1-B15-H1-L9-G9
+Round 37 player 1: G10-M2-M4-H9-D8-I11
+Round 38 player 2: E6-L5-O8-O15-C1-I9-A15
+Round 39 player 1: G6-F10-N1-M5-D11-O11
+Round 40 player 2: M1-D9-I12-A1-C15-O14
+Round 41 player 1: K9-G14-J15-D7-O1
+Round 42 player 2: J9-D6-D1-O7
+Round 43 player 1: A8-H14
+Round 44 player 2: N9-G1
+Round 45 player 1: I14-A9
+Round 46 player 2: B10
+Round 47 player 1: H15-A10
+Round 48 player 2: G15
+Round 49 player 1: O9
+Round 50 player 2: I15
+#expect B11

scenarios/1351718903.txt

+#only move to win: connect and take shared lib
+Round 1 player 1: M4
+Round 2 player 2: H8
+Round 3 player 1: L13
+Round 4 player 2: D12
+Round 5 player 1: D3
+Round 6 player 2: I13
+Round 7 player 1: K3
+Round 8 player 2: G3
+Round 9 player 1: C5
+Round 10 player 2: C10
+Round 11 player 1: M11
+Round 12 player 2: F3-J13-D13-I8-C9-M6
+Round 13 player 1: L8
+Round 14 player 2: N12
+Round 15 player 1: J3-C6-N11-L14-D2-K8-N4
+Round 16 player 2: M2
+Round 17 player 1: F10
+Round 18 player 2: B3
+Round 19 player 1: B13
+Round 20 player 2: M12-M7-C8-H3-D14-B4-L2-J8-H13
+Round 21 player 1: F11-B12-M8-O11-I3-C7-L12-N3-C2
+Round 22 player 2: C4-N2-J9-E3-K13-C14-N7-N13-B10
+Round 23 player 1: O12-D4-F12-K14-B14-I4-D7-N8-O3
+Round 24 player 2: K9-B2-J14-M5-K2-E4-O13-B11-C15
+Round 25 player 1: E2-N5-M10-C12-H4-F13-M14-B7-L9
+Round 26 player 2: L3-O7-E5-G8-B5-N14-K12-B8-E14
+Round 27 player 1: K15-O10-L4-F14-F2-A7-B15-G4-K7
+Round 28 player 2: D5-J2-B1-L5-A8-G13-N15-J7-E15
+Round 29 player 1: E7-J15-O9-I2-G10-C1-O2-A12-K6
+Round 30 player 2: K5-G2-A11-G12-F8-J1-B6-M15-F15
+Round 31 player 1: F1-I15-C11-J6-H10-A6-O1-I1-N10
+Round 32 player 2: J5-N1-A5-F7-G1-D11-G11-D8-M13
+Round 33 player 1: E8-I14-O5-C3-C13-I10-G5-I6
+Round 34 player 2: H1-I5-H11-E11-J10-L15-M3-D9-A1
+Round 35 player 1: E9-E10-N6-H14-A14-D1-F5-I7
+Round 36 player 2: D6-K4-F9-G14-E12-A9-L1-A3-O15
+Round 37 player 1: O6-H15-I9-H7-F6-A15-E1
+Round 38 player 2: H5-E6-I11-H9-E13-A10-K1-A4-O14
+Round 39 player 1: D10-G15-H2-L6-A13-O4
+Round 40 player 2: H6-F4-G9-K11-M1-D15-A2-B9
+Round 41 player 1: L11-J4-G7
+Round 42 player 2: G6-J12
+Round 43 player 1: L7
+Round 44 player 2: O8-I12
+Round 45 player 1: L10
+#expect K10

scenarios/1351719268.txt

+#connect and play shared lib, preserve inner eyes
+Round 1 player 1: D13
+Round 2 player 2: M13
+Round 3 player 1: C11
+Round 4 player 2: M3
+Round 5 player 1: M5
+Round 6 player 2: C3
+Round 7 player 1: I13
+Round 8 player 2: L3-M12-D3-M7
+Round 9 player 1: G3
+Round 10 player 2: E11
+Round 11 player 1: C5
+Round 12 player 2: M10
+Round 13 player 1: L5-J13-C10-F3-E13-B5
+Round 14 player 2: J3
+Round 15 player 1: H8
+Round 16 player 2: G7
+Round 17 player 1: N10
+Round 18 player 2: B8
+Round 19 player 1: M2
+Round 20 player 2: G8-E12-I3-N3-B3-M14-L7-M9-B9
+Round 21 player 1: H9-N9-L2-F13-K13-H3-C9-D5-K5
+Round 22 player 2: D12-N2-G6-E3-L14-B10-N7-I2-L10
+Round 23 player 1: G9-N11-M1-C13-K14-N5-B11-F2-E5
+Round 24 player 2: C12-E4-K10-N8-H2-B7-N12-N1-H7
+Round 25 player 1: M11-I8-K2-E2-B12-F12-K15-A5-O5
+Round 26 player 2: F11-J10-D2-I7-A10-L15-J2-N6-O3
+Round 27 player 1: L11-K3-J8-C8-E1-J5-A4-C14-I14
+Round 28 player 2: L12-G11-A3-A11-I10-J1-G5-O6-L4
+Round 29 player 1: K11-K1-F4-A12-G12-K8-I5-A6-H14
+Round 30 player 2: K12-F5-K4-D1-C7-E10-G2-O8-H10
+Round 31 player 1: J11-F1-L1-J4-F9-A7-H12-D8-L13
+Round 32 player 2: E9-I11-J12-G1-D7-L8-H5-C4-N4
+Round 33 player 1: O9-H4-I4-H15-G10-G13-E8-D6
+Round 34 player 2: H11-O12-F8-B6-K7-B4-O4-H1
+Round 35 player 1: K9-D4-O10-I6-D11-C15-G15
+Round 36 player 2: O11-D10-K6-G4-E7-M4-A2-I1
+Round 37 player 1: L9-M6-A8-D9-F14-J15
+Round 38 player 2: I9-J6-C6-F6-O13-A1-O1
+Round 39 player 1: J7-E6-H6-A13-B14-I15
+Round 40 player 2: L6-A9-F10-N14-B1-O2
+Round 41 player 1: J9-D15-J14
+Round 42 player 2: N15-C2-O7-F7
+Round 43 player 1: E15
+#expect I12

scenarios/1351720023.txt

+#invasions can be valuable
+Round 1 player 1: L12
+Round 2 player 2: M3
+Round 3 player 1: D4
+Round 4 player 2: C13
+Round 5 player 1: L8
+Round 6 player 2: C9
+Round 7 player 1: H4
+Round 8 player 2: D9-L3-D13-I13
+Round 9 player 1: F10
+Round 10 player 2: K5
+Round 11 player 1: F9-I4-K12-C4-M8
+Round 12 player 2: C6
+Round 13 player 1: B13
+Round 14 player 2: F13
+Round 15 player 1: N3
+Round 16 player 2: M10
+Round 17 player 1: F14
+Round 18 player 2: F3
+Round 19 player 1: B8
+Round 20 player 2: K6-G3-M11-I12-B6-E9-C12-M2-G13
+Round 21 player 1: G14-N4-B12-E10-B9-M12-B4-J4-N8
+Round 22 player 2: K7-E3-I14-N2-E8-N11-C14-A6-F12
+Round 23 player 1: B14-H14-N5-B7-N12-F8-D3-G4-K8
+Round 24 player 2: H3-I15-E7-O11-J7-F11-C15-O2-A5
+Round 25 player 1: H13-B15-D2-J8-O12-F7-J3-A7-O3
+Round 26 player 2: I7-E2-A4-H12-K3-M9-C11-E6-G11
+Round 27 player 1: B11-E14-M5-C7-K4-D1-G10-J12-N9
+Round 28 player 2: L4-A3-H7-E1-J13-F6-L9-D15-E11
+Round 29 player 1: D10-D7-L5-J2-K13-B3-I8-H15-A11
+Round 30 player 2: A2-K9-K2-J14-L7-H2-E15-F5-E12
+Round 31 player 1: F15-C10-D6-F4-K14-B2-M7-L6-A10
+Round 32 player 2: E4-J15-H8-A1-K1-J9-G5-D14
+Round 33 player 1: E13-M4-I9-G7-K15-B1-J1-D8-A12
+Round 34 player 2: C5-H9-H1-L11-H5-I11-L1-D11
+Round 35 player 1: H10-J5-C8-B5-O5-A14-G15-K11-O9
+Round 36 player 2: D5-I10-K10-G6-I3-G8-M1-D12
+Round 37 player 1: I5-H11-N10-O6-C1-A8-A13-J11
+Round 38 player 2: I6-I2-O10-L2-G12
+Round 39 player 1: I1-G9-C2-N6-O8-A15-J10
+Round 40 player 2: N7
+Round 41 player 1: J6-C3-O4-L15-A9
+Round 42 player 2: O7-L10-F1-N1-H6
+Round 43 player 1: M15-B10-M6
+#expect N14

scenarios/1351867146.txt

+#split with a better eye shape
+Round 1 player 1: D4
+Round 2 player 2: M13
+Round 3 player 1: D12
+Round 4 player 2: M3
+Round 5 player 1: C8
+Round 6 player 2: L8
+Round 7 player 1: H13
+Round 8 player 2: K8-L13-L3-H4
+Round 9 player 1: H8
+Round 10 player 2: E10
+Round 11 player 1: D3-H7-I13-C12-B8
+Round 12 player 2: C5
+Round 13 player 1: M10
+Round 14 player 2: C14
+Round 15 player 1: K3
+Round 16 player 2: F10-C4-G4-M8-K13-D14-N3
+Round 17 player 1: C3-K2-N10-J13-B12-H6-D8
+Round 18 player 2: G10-N8-C6-N13-I4-E14-L2
+Round 19 player 1: K4-B3-J14-L10-B13-H9-E8
+Round 20 player 2: D10-B14-F4-K14-J8-C7-L4
+Round 21 player 1: K5-E3-J15-B7-H10-O10-E12
+Round 22 player 2: C10-F3-F14-L5-K15-J9-B6
+Round 23 player 1: K1-E2-H14-H5-O9-A13-A7
+Round 24 player 2: F2-B10-O8-L1-G14-B4-O13
+Round 25 player 1: K6-E1-A14-H15-G5-A6-K10
+Round 26 player 2: F1-L6-A4-G15-G11-K7-K12
+Round 27 player 1: A3-F5-B11-D7-J3-J12-K9
+Round 28 player 2: K11-I3-D6-A10-I9-B15-O3
+Round 29 player 1: J10-J2-G9-A11-G13-E7-E4
+Round 30 player 2: E6-I10-J11-I2-G12-A15-M5
+Round 31 player 1: F6-J1-E11-F8-L11-I12-D5
+Round 32 player 2: F9-I1-D13-L9-E5-L12-N4
+Round 33 player 1: E9-I8-I11-F12-M9-J4-A2
+Round 34 player 2: H11-F13-I5-N9-A5-O12-N5
+Round 35 player 1: E13-H12-J5-I6-O11-B9-A1
+Round 36 player 2: D11-C13-J7-M12-O5-G1-B5
+Round 37 player 1: J6-A9-C11-M11-B1-I15
+Round 38 player 2: C9-I7-N12-H2-O6-D15
+Round 39 player 1: N11-F11-D9-G7-C2-I14
+Round 40 player 2: O7-L14-G3-E15
+Round 41 player 1: G8-D1-A12
+Round 42 player 2: M15
+Round 43 player 1: N1-M1-O1
+Round 44 player 2: O15
+Round 45 player 1: N2-D2-F7-M2-O2
+#expect N14

scenarios/1351869353.txt

+# don't invade if not necessary
+Round 1 player 1: M3
+Round 2 player 2: D13
+Round 3 player 1: L12
+Round 4 player 2: D4
+Round 5 player 1: C8
+Round 6 player 2: M7
+Round 7 player 1: H13
+Round 8 player 2: E4-L7-D12-J13
+Round 9 player 1: H3
+Round 10 player 2: H8
+Round 11 player 1: J7
+Round 12 player 2: J2
+Round 13 player 1: C3
+Round 14 player 2: N12
+Round 15 player 1: M12-I7-C4-G13-C9-H2-M4
+Round 16 player 2: D11-H7-D5-J14-N11-K2-K7
+Round 17 player 1: B13
+Round 18 player 2: C5-D10-N13-L2-H6-J12-N7
+Round 19 player 1: M2-F13-C7-D3-M11-H4-B14-J8
+Round 20 player 2: E3-D14-M13-J11-I2-N6-H5
+Round 21 player 1: M10-M5-C10-G4-J9-I13-B12-B4
+Round 22 player 2: C11-N5-E2-I14-N10-H9-L1
+Round 23 player 1: B11-L13-G5-B5-C6-M1-H14-J10
+Round 24 player 2: D2-N4-D9-G6-M14-I1-I15
+Round 25 player 1: C2-L14-N3-D8-E13-H1-I10-C14
+Round 26 player 2: H10-E14-D6-O4-M15-I3-I12
+Round 27 player 1: E8-M9-O3-C1-F14-I4-K8-C15
+Round 28 player 2: L8-N9-H15-F2-L3-E12-I5
+Round 29 player 1: F8-M8-J4-F12-D1-L5-D15-I11
+Round 30 player 2: E15-J5-L9-G2-K14-L15-L4
+Round 31 player 1: N8-H11-K5-G8-E1-F5-F11-C12
+Round 32 player 2: K4-J6-L10-H12-O9-E9-D7
+Round 33 player 1: K13-E5-A14-A5-K6-G7-E11-I6
+Round 34 player 2: C13-K12-G9-O8-L11-E7-J3
+Round 35 player 1: E6-E10-F9-M6-K10-A12-F1
+Round 36 player 2: F15-G12-I9-F7-K9-O13-J1
+Round 37 player 1: G11-G1-L6-B8-A11
+Round 38 player 2: F6-K11-O11-K1
+Round 39 player 1: G10-G3-A8-N1-A10
+Round 40 player 2: F4-G15-N15-K3
+Round 41 player 1: F3-I8-O2-B9-A15
+Round 42 player 2: G14-O14
+#expect A3

scenarios/1351870983.txt

+#cut groups when invading
+Round 1 player 1: D13
+Round 2 player 2: M13
+Round 3 player 1: C11
+Round 4 player 2: M3
+Round 5 player 1: M5
+Round 6 player 2: C3
+Round 7 player 1: I13
+Round 8 player 2: L3-M12-D3-M7
+Round 9 player 1: G3
+Round 10 player 2: E11
+Round 11 player 1: C5
+Round 12 player 2: M10
+Round 13 player 1: G8
+Round 14 player 2: J3
+Round 15 player 1: L5-J13-H8-B5-H3-E13-C10
+Round 16 player 2: F11-I3-E3-L7-M14-N3-L10
+Round 17 player 1: N10
+Round 18 player 2: G11-F3-K7-L14-I4-K10-N4
+Round 19 player 1: L2
+Round 20 player 2: B8
+Round 21 player 1: N9-M2-F13-D5-F8-K13-K5-G2-B10
+Round 22 player 2: K14-N2-B7-B3-D11-H4-N7-M9
+Round 23 player 1: F2-N11-I8-J14-N5-C13-D10-E5-M1
+Round 24 player 2: G12-E2-N12-B6-N1-J7-J2-J10
+Round 25 player 1: M11-G13-J15-J8-O5-F1-F5-E10-K2
+Round 26 player 2: F4-H12-I7-B9-J1-I10-K15-O4
+Round 27 player 1: L11-K3-G4-H7-A10-A5-D12-J5-I12
+Round 28 player 2: H13-L12-E1-H5-C6-N8-I9-L4
+Round 29 player 1: K11-D6-K8-B13-K1-F10-H2-I5-I11
+Round 30 player 2: G5-K4-H14-A3-C9-O12-L8-K9
+Round 31 player 1: I6-G14-D7-D9-H1-H11-O11-J9-L1
+Round 32 player 2: H6-H15-C8-H9-N6-K12-A4-M4
+Round 33 player 1: J11-J4-G15-G9-A6-A9-I1
+Round 34 player 2: G10-H10-D8-O6-J12-I2-C4-O2
+Round 35 player 1: M6-A13-D4-L13-E8-A8-G1
+Round 36 player 2: A7-L6-I14-E4-G6-M15-O1
+Round 37 player 1: K6-C7-F12-O9-G7-A11
+Round 38 player 2: F6-J6-E12-B4-N15-O3
+Round 39 player 1: I15-F7-E6-A14-B11
+Round 40 player 2: O8-A2-O15
+Round 41 player 1: F14-E9-O10
+Round 42 player 2: B1
+Round 43 player 1: B15
+Round 44 player 2: C2-O14-C1-O7
+Round 45 player 1: E15
+Round 46 player 2: N13-D2-L9
+Round 47 player 1: D14-C15-D15-F9
+Round 48 player 2: A1-L15-M8
+Round 49 player 1: B12
+Round 50 player 2: B2-N14
+Round 51 player 1: B14
+Round 52 player 2: D1-O13
+Round 53 player 1: C12
+#expect E7

scenarios/1351873201.txt

+#not finding a friendly stone shouldn't give max points for exploring
+Round 1 player 1: L12
+Round 2 player 2: M3
+Round 3 player 1: M7
+Round 4 player 2: C3
+Round 5 player 1: D13
+Round 6 player 2: C9
+Round 7 player 1: J13
+Round 8 player 2: K5
+Round 9 player 1: F3
+Round 10 player 2: C6
+Round 11 player 1: F4-D12-L7-M12-I13
+Round 12 player 2: F13
+Round 13 player 1: H8
+Round 14 player 2: J10
+Round 15 player 1: B7
+Round 16 player 2: J5-K10-F14-C10-B6-D3-N3
+Round 17 player 1: K2
+Round 18 player 2: I5-L10-C11-E3-C7-E14-L3
+Round 19 player 1: B3
+Round 20 player 2: M14
+Round 21 player 1: G8-F2-L2-B8-B2-D14-N12-N7-H13
+Round 22 player 2: H5-M10-C12-L14-M2-F12-A6-E2
+Round 23 player 1: C8-C2-K3-C13-N13-E4-K7-I8-G13
+Round 24 player 2: N14-G5-I10-G14-B12-E1-M1-D7
+Round 25 player 1: D8-K4-B13-F1-B4-H14-O13-N6-I9
+Round 26 player 2: N10-A12-K14-G4-L1-E15-E7-D1
+Round 27 player 1: L4-B9-A13-J14-G3-N5-C1-O14-J9
+Round 28 player 2: D4-M4-D15-B10-F5-H10-K15-E8
+Round 29 player 1: E5-K1-D9-J15-F8-N4-D11-N11-B5
+Round 30 player 2: D2-E9-D10-C15-O10-O3-J4-N15
+Round 31 player 1: E6-J3-A9-C5-O4-K9-H15-O11-E11
+Round 32 player 2: F7-D5-A10-H4-G10-C14-M5-K13
+Round 33 player 1: D6-L5-A8-C4-G12-E10-G7-O7-K12
+#exclude O5

scenarios/1351935290.txt

+#connections in late endgame
+Round 1 player 1: M12
+Round 2 player 2: M3
+Round 3 player 1: K13
+Round 4 player 2: C3
+Round 5 player 1: E3
+Round 6 player 2: C13
+Round 7 player 1: M7
+Round 8 player 2: C4-C12-L3-G3
+Round 9 player 1: C9
+Round 10 player 2: K11
+Round 11 player 1: E4-J13-L7-C10-M11
+Round 12 player 2: J3
+Round 13 player 1: E13
+Round 14 player 2: C6
+Round 15 player 1: H8
+Round 16 player 2: G9
+Round 17 player 1: J2
+Round 18 player 2: H14
+Round 19 player 1: N3
+Round 20 player 2: H9-L11-C11-C2-G4-M4-C7-I14-I3
+Round 21 player 1: I2-E14-G8-E5-C8-M10-I13-N4-K7
+Round 22 player 2: L12-M5-C14-F9-G5-G14-B7-D2-J4
+Round 23 player 1: L13-I8-N5-L10-B10-E2-H2-E12-M6
+Round 24 player 2: J14-K10-J5-I9-B11-G2-M2-B8-D1
+Round 25 player 1: H3-N2-A10-L14-E11-D5-F8-K6-L9
+Round 26 player 2: D11-M1-F14-G6-K9-J6-E9-E1-B6
+Round 27 player 1: C5-E10-A11-N1-L15-K5-K2-F7-N10
+Round 28 player 2: F6-D10-B5-K8-F10-H13-L1-J7-B2
+Round 29 player 1: J8-F2-K3-D9-E15-I12-L5-N9-O5
+Round 30 player 2: K1-L8-E8-K4-C15-F15-H4-A8-F1
+Round 31 player 1: J9-L4-A12-I11-F11-N8-J1-D6-O6
+Round 32 player 2: J10-I10-L2-D7-I7-H12-H6-D14-D3
+Round 33 player 1: H7-F5-O10-B12-D12-K12-H1-O7-L6
+Round 34 player 2: J15-M8-F3-B13-B9-D4-I5
+Round 35 player 1: E7-E6-D8-J11-G11-G1-M9-O2
+Round 36 player 2: A13-A9-H11-G7-G10-A2
+Round 37 player 1: F4-F13-K15-O11-O3-I1
+Round 38 player 2: K14-D13-A6-B1-I4
+Round 39 player 1: G12-N12-M15-N6
+Round 40 player 2: G13-D15-A3-A5-I6
+Round 41 player 1: N14
+Round 42 player 2: H15-B4-A14-H5
+Round 43 player 1: O14-M13-F12-O4
+Round 44 player 2: B15-A7-G15
+Round 45 player 1: O13-O9-O1
+Round 46 player 2: A1-I15-A15
+Round 47 player 1: N15
+Round 48 player 2: C1-H10-B14
+Round 49 player 1: M14
+Round 50 player 2: A4
+Round 51 player 1: N11
+Round 52 player 2: B3
+Round 53 player 1: O12
+Round 54 player 2: O8
+#expect N7

scenarios/1351962813.txt

+#connect if valuable enough
+Round 1 player 1: D13
+Round 2 player 2: M12
+Round 3 player 1: D4
+Round 4 player 2: I13
+Round 5 player 1: C9
+Round 6 player 2: L4
+Round 7 player 1: M7
+Round 8 player 2: K4-H13-M11-G3
+Round 9 player 1: H8
+Round 10 player 2: D8
+Round 11 player 1: C8-D3-M6-H9-E13
+Round 12 player 2: C13
+Round 13 player 1: K13
+Round 14 player 2: B3
+Round 15 player 1: M5-L13-H7-D2-F13-C7
+Round 16 player 2: J8
+Round 17 player 1: J2
+Round 18 player 2: B9
+Round 19 player 1: B13
+Round 20 player 2: M13-M4-E8-C14-G13-F3-J9-B8-B2
+Round 21 player 1: M8-K2-B7-B14-J13-H10-F14-D1
+Round 22 player 2: N4-M14-C12-H3-F8-B4-B10-J7-G14
+Round 23 player 1: L2-M9-H6-B12-L14-A7-E4-D14
+Round 24 player 2: N5-C15-M10-I3-B5-I14-G8-B11-J6
+Round 25 player 1: M2-N9-J14-H5-B15-C10-D15-F4
+Round 26 player 2: C11-N6-I2-M15-G15-B1-J10-D7
+Round 27 player 1: N10-N2-J15-F15-G7-A6-E2-A12
+Round 28 player 2: N7-F2-N11-F7-I15-A5-D11-J11
+Round 29 player 1: J3-J12-O10-E1-H11-D10-A11-F12
+Round 30 player 2: I11-O11-F1-D6-N3-E11-G12-C1
+Round 31 player 1: C6-F11-I12-J1-N8-A10-E5-I5
+Round 32 player 2: E10-G11-I4-C5-O3-E6-L15-J5
+Round 33 player 1: J4-D9-F10-D5-O8-K15-I10-A9
+Round 34 player 2: E9-G10-I1-O2-L12-K9-B6
+#expect-any F9-H12

scenarios/1351964375.txt

+#eyes shared with a friendly group should count as outside liberty
+Round 1 player 1: D4
+Round 2 player 2: M13
+Round 3 player 1: D13
+Round 4 player 2: M3
+Round 5 player 1: C9
+Round 6 player 2: L8
+Round 7 player 1: F3
+Round 8 player 2: H12
+Round 9 player 1: J13
+Round 10 player 2: K8-G12-L3-L13-H4
+Round 11 player 1: H8
+Round 12 player 2: F12-G4-M8-N3-N13
+Round 13 player 1: G3-K13-H7-C4-E13-B9
+Round 14 player 2: H3-E12-N8-L14-K3
+Round 15 player 1: M5
+Round 16 player 2: C7
+Round 17 player 1: D12-H9-N5-K12-B4-G2-D9
+Round 18 player 2: H2-E11-K14-C6-J8-O3
+Round 19 player 1: L12-F13-H10-L5-G1-E9-A4
+Round 20 player 2: D11-F4-J14-C8-I8-K4
+Round 21 player 1: M12-K5-G13-E4-H1-B8-H6
+Round 22 player 2: C11-I14-D8-I2-I9-J4
+Round 23 player 1: H13-N12-I1-E8-H5-O5-E5
+Round 24 player 2: I13-C12-I10-F5-B7-J5
+Round 25 player 1: C13-O12-J1-G10-B10-E6-K6
+Round 26 player 2: H14-B12-F6-I5-N9-A7
+Round 27 player 1: H11-B13-J2-O13-K7-A8-D6
+Round 28 player 2: G14-A12-F7-N10-K2-C5
+Round 29 player 1: F14-K1-I11-O14-L7-A10-B5
+Round 30 player 2: E7-A13-G15-J10-J3-D7
+Round 31 player 1: I12-N14-L1-F15-M7-B6-F8
+Round 32 player 2: C2
+Round 33 player 1: N7-M1-M14-B14-G7-A6-E10
+#exclude I3
+#exclude I4

scenarios/1351965391.txt

+#valuable connections
+Round 1 player 1: M13
+Round 2 player 2: C12
+Round 3 player 1: M3
+Round 4 player 2: D3
+Round 5 player 1: L8
+Round 6 player 2: M11
+Round 7 player 1: H12
+Round 8 player 2: K3
+Round 9 player 1: H4
+Round 10 player 2: C5
+Round 11 player 1: D8
+Round 12 player 2: K4-D12-L11-C6-D2-H8
+Round 13 player 1: C13
+Round 14 player 2: H14
+Round 15 player 1: D13-H5-I12-C8-M8-M2-N13
+Round 16 player 2: N6
+Round 17 player 1: H3-B13-E8-N8-L13-M4-J12
+Round 18 player 2: E12-I14-K2-H7-N11-C7-N5-D1
+Round 19 player 1: B8-H2-E13-G12-K8-N4-O13
+Round 20 player 2: B12-J14-H6-B7-K11-K1-N7-E3
+Round 21 player 1: F8-J8-L14-A13-M5-H1-J11
+Round 22 player 2: K12-G14-H9-F3-A12-O5-L1-A7
+Round 23 player 1: K13-M1-E14-D7-O8-G5-F12
+Round 24 player 2: J13-H10-O4-D6-K5-F2-E11-N10
+Round 25 player 1: F5-A8-F14-K14-I8-G13-L5
+Round 26 player 2: O3-E10-G15-N9-E6-H11-K6-F1
+Round 27 player 1: E5-K15-F15-I9-G8-F11-L2
+Round 28 player 2: D10-J15-I10-M9-O2-K7-F6-G3
+Round 29 player 1: G6-L9-J10-C9-N1-L12-A14
+Round 30 player 2: G7-C10-K10-O7-J7-G1-E7-I13
+Round 31 player 1: I7-F7-E4-F10-L3-M12-D14
+Round 32 player 2: I6-D4-B10-L10-J1-O1-H13-B5
+Round 33 player 1: M6-M7-I5-G9-I11-N12-D15
+Round 34 player 2: G10-O9-E9-L7-N3-F4-A6-H15
+#expect F9

scenarios/1351966806.txt

+#don't play bad explorations
+Round 1 player 1: M3
+Round 2 player 2: D12
+Round 3 player 1: L12
+Round 4 player 2: I13
+Round 5 player 1: D4
+Round 6 player 2: G3
+Round 7 player 1: C8
+Round 8 player 2: G4-D11-J13-M6
+Round 9 player 1: M8
+Round 10 player 2: H8
+Round 11 player 1: F13
+Round 12 player 2: C4
+Round 13 player 1: D3-L13-E13-L3-M7-C9
+Round 14 player 2: N12
+Round 15 player 1: D13-C3-K3-L14-L7-C10
+Round 16 player 2: B4-M5-C12-N11-G2-H13-I8
+Round 17 player 1: B3-K7-C13-J3-K12-D10
+Round 18 player 2: B12-N13-J8-A4-M4-G13-G5
+Round 19 player 1: B13-N3-J12-E10-J7-D5
+Round 20 player 2: G8-C5-A12-G14-N10-H2-N4
+Round 21 player 1: D6-I3-F14-F10-I12-I7
+Round 22 player 2: C6-I2-N14-F8-G15-A13-O4
+Round 23 player 1: J2-C7-A3-K14-F15-H7
+Round 24 player 2: J14-A14-B6-O3-E8-I1-N9
+Round 25 player 1: J1-B14-B7-E3-N7-M14
+Round 26 player 2: F2-O2-K8-A6-J15-A15-M9
+Round 27 player 1: L8-E2-B15-N2-A7-H12
+Round 28 player 2: G12-F1-N6-L9-B11-D8-B5
+Round 29 player 1: F12-E1-B10-O7-N1-M15
+Round 30 player 2: D7-N15-H5-O6-A11-G11-A5
+Round 31 player 1: F11-L4-E6-H11-G7
+Round 32 player 2: A10-F7-I5-L5-L10-G10
+Round 33 player 1: F6-G6-H3-H10-F9
+Round 34 player 2: K10-A9-F5-K5-I9-K15
+#expect G9

scenarios/1351980063.txt

+# don't lose points blindly
+Round 1 player 1: G9
+Round 2 player 2: M13
+Round 3 player 1: B2
+Round 4 player 2: M3
+Round 5 player 1: B13
+Round 6 player 2: L8
+Round 7 player 1: D6
+Round 8 player 2: H12
+Round 9 player 1: M5
+Round 10 player 2: H4
+Round 11 player 1: L12
+Round 12 player 2: L13-G4-G12-L7-M2-D8
+Round 13 player 1: J10
+Round 14 player 2: C8-M12-F4-F12-L9-M4
+Round 15 player 1: I2
+Round 16 player 2: C2
+Round 17 player 1: I3-G8-C6-L5-C13-J9-K12-B3
+Round 18 player 2: C3-K13-B8-E12-I4-L6-L2
+Round 19 player 1: G7-E6-L4-D13-B4-J8-J12-H3
+Round 20 player 2: C1-J13-I12-G3-M6-K2-B7
+Round 21 player 1: F6-E13-J7-C4-G10-N5-I1-L11
+Round 22 player 2: B1-M11-N6-F13-B6-G2-N4
+Round 23 player 1: J6-G11-L10-D4-K4-D12-F5-J3
+Round 24 player 2: D3-K6-M10-F14-E4-E8-O4
+Round 25 player 1: O5-D11-J5-H11-G5-B5-H1-K11
+Round 26 player 2: I11-J4-K5-K3-B9-M14-A1
+Round 27 player 1: H5-E11-I10-G1-O6-H7-A2
+Round 28 player 2: I5-F11-B10-N7-K1-J14-D1
+Round 29 player 1: E14-F10-I6-F1-O7-C7-A5
+Round 30 player 2: J1-F15-B11-F2-E1-N8-M15
+Round 31 player 1: E15-A6-O8-K7-J2-E5-F8
+Round 32 player 2: L3-B12-K9-H2-J11-I14-D2
+Round 33 player 1: K10-A13-H9-E7-A7-O9
+Round 34 player 2: N9-A12-N2-N11-G15-F3
+Round 35 player 1: A14-I8-A8-O10-D7-F9
+Round 36 player 2: O11-C12-K8-H15-O3-E3
+Round 37 player 1: A15-N10-E9-A9
+Round 38 player 2: A10-N15-M1-H13-M8-E2
+Round 39 player 1: B15-D9-A4
+Round 40 player 2: C11-J15-G14-N1-M7
+Round 41 player 1: C14-C9-D5
+Round 42 player 2: C10-O15-O1-G13
+Round 43 player 1: D15-G6
+Round 44 player 2: D10-O12-L1
+Round 45 player 1: E10
+#expect-any M9-N13

scenarios/1351981230.txt

+#invade in opponent has more eyes, with at least a big one
+Round 1 player 1: L3
+Round 2 player 2: H9
+Round 3 player 1: D13
+Round 4 player 2: D11
+Round 5 player 1: L12
+Round 6 player 2: L11
+Round 7 player 1: K12-E13-L4
+Round 8 player 2: H3
+Round 9 player 1: D4
+Round 10 player 2: E4
+Round 11 player 1: C9
+Round 12 player 2: K4
+Round 13 player 1: M7
+Round 14 player 2: C5
+Round 15 player 1: D5-K3-M12-F13-D9-L7
+Round 16 player 2: M5
+Round 17 player 1: H8
+Round 18 player 2: D10-K11-M6-E5-C4-G3-J4-I9
+Round 19 player 1: L5-D3-J12-L6-C10-G8-C13
+Round 20 player 2: I8-M11-C3-C11-M4-K5-E6-H2
+Round 21 player 1: B3
+Round 22 player 2: J11-K6-G9-M3-B4-B11-E7-G2
+Round 23 player 1: D6-N12-F8-B2-N7-B13-B10
+Round 24 player 2: K7-N11-F9-C6-N6-F7-B12-F2
+Round 25 player 1: H7-C2-E3-E9-I12-J3-G13
+Round 26 player 2: E8-E2-I7-M2-I11-D12-K8-A4
+Round 27 player 1: D2-H6-C8-I3-O12-A13
+Round 28 player 2: L8-L2-I2-I6-A3-O11-G7-E12
+Round 29 player 1: N2
+Round 30 player 2: M8-F12-C7-D7-N3-J2-H11-I5
+Round 31 player 1: K2-F3-B8-O2-H5-H12-A12
+Round 32 player 2: N8-G12-O3-A2-H4-O10-F10
+Round 33 player 1: I4-D1-G5-N1-B7-A11-O13
+Round 34 player 2: E10-B6-O6-E1-N9-N10
+Round 35 player 1: O7-F4-F5-M1-F14-O14-A7
+Round 36 player 2: L1-F6-O8-C12-G4
+Round 37 player 1: K1-G6-F15-O15-A6-O1
+Round 38 player 2: J1-A5-J5-O5
+Round 39 player 1: B1-N15-G15-D8
+Round 40 player 2: A1-F11-I1-N4
+Round 41 player 1: H14
+Round 42 player 2: J8-B5-F1-O4
+Round 43 player 1: L14
+Round 44 player 2: I10-G1-N5
+Round 45 player 1: I13-I14-M14-A14-A8-C1
+Round 46 player 2: J15
+Round 47 player 1: A15-K13-L15-A9
+Round 48 player 2: D15
+Round 49 player 1: J14-K15-D14-B9
+Round 50 player 2: I15-E15-J10-H1
+Round 51 player 1: H15
+Round 52 player 2: E14-K10
+Round 53 player 1: C15
+Round 54 player 2: N13
+Round 55 player 1: L9
+Round 56 player 2: B14
+Round 57 player 1: B15-L10
+Round 58 player 2: M13-C14-K9
+Round 59 player 1: A10-M10
+Round 60 player 2: N14-M9
+Round 61 player 1: L13
+Round 62 player 2: O9
+#expect G10

scenarios/1351984711.txt

+#don't be surrounded too soon
+Round 1 player 1: L4
+Round 2 player 2: H9
+Round 3 player 1: D4
+Round 4 player 2: D11
+Round 5 player 1: L12
+Round 6 player 2: L11
+Round 7 player 1: K12-K4-D5
+Round 8 player 2: H5
+Round 9 player 1: D8
+Round 10 player 2: E4
+Round 11 player 1: H12
+Round 12 player 2: C3
+Round 13 player 1: L8
+Round 14 player 2: M3
+Round 15 player 1: C13
+Round 16 player 2: G9-H4-C11-C4-K11-L3-E5
+Round 17 player 1: G3
+Round 18 player 2: E6-M11-C12-F9-K3-C5-H3
+#expect-any D3-D6

scenarios/1352024965.txt

+#destroy eye potential
+Round 1 player 1: G9
+Round 2 player 2: L12
+Round 3 player 1: B2
+Round 4 player 2: L4
+Round 5 player 1: B13
+Round 6 player 2: D4
+Round 7 player 1: M2
+Round 8 player 2: M4-L13-E4-D12
+Round 9 player 1: K7
+Round 10 player 2: H4
+Round 11 player 1: C7
+Round 12 player 2: D13-L11-K4-C4-G4
+Round 13 player 1: J13
+Round 14 player 2: H8
+Round 15 player 1: F6
+Round 16 player 2: B9
+Round 17 player 1: E6-J12-G8-D7-L7-B12-C2-L2
+Round 18 player 2: H9-C9-D14-B4-K11-N4-G3
+Round 19 player 1: J11-M7-B7-B14-D2-G6-K2-G10
+Round 20 player 2: H10-D9-G2-M11-J4-E12-B3
+Round 21 player 1: N7-J10-H6-E2-J2-B11-G11-B6
+Round 22 player 2: H7-N11-F12-D8-F2-N3-B5
+Round 23 player 1: J9-H11-J7-N2-B10-I6-E3-B8
+Round 24 player 2: G7-G12-L14-C10-N5-H2-D3
+Round 25 player 1: J14-H12-I2-E5-C11-F3-N8-C8
+Round 26 player 2: I7-G13-G5-K10-N6-E8-D5
+Round 27 player 1: D11-F4-F7-K9-H13-N9-I3-C6
+Round 28 player 2: F8-I10-D6-F5-G14-M6-K14
+Round 29 player 1: I4-E11-N10-H14-L9-A2-H5-C5
+Round 30 player 2: E7-A3-I11-F1-F11-J5-M10
+Round 31 player 1: J6-F10-I9-C14-O2-A6-E1
+Round 32 player 2: A9-I12-A5-H1-I5-O11-C12
+Round 33 player 1: L6-O3-F9-J15-A10-C3-A8
+Round 34 player 2: I1-I13-D10-G15-K15-O4-A4
+Round 35 player 1: E10-L5-J1-I8-A1-A7
+Round 36 player 2: I14-M9-E9-H3-J3-D15
+Round 37 player 1: H15-O7-K3-K12-B1
+Round 38 player 2: M8-O6-I15-C13-G1-N13
+Round 39 player 1: M5-M3-C15-L10-C1
+#expect K5

scenarios/1352026655.txt

+#enclose as much as possible
+Round 1 player 1: L12
+Round 2 player 2: M3
+Round 3 player 1: L4
+Round 4 player 2: C3
+Round 5 player 1: D12
+Round 6 player 2: L3-D3-L8
+Round 7 player 1: D4
+Round 8 player 2: H12
+Round 9 player 1: H8
+Round 10 player 2: H4
+Round 11 player 1: D8
+Round 12 player 2: C10
+Round 13 player 1: D7-H9-L11-D11-C4-M4
+Round 14 player 2: M13
+Round 15 player 1: C7-N4-E4-C11-H7-L13
+Round 16 player 2: C13
+Round 17 player 1: H6-B7-L14-N3-E3-D13
+Round 18 player 2: H11-L7-C14-B3-M14-B10-H3-K3
+Round 19 player 1: D9-L10-B4-K4-H5-B11
+Round 20 player 2: D10-H13-M12-K7-D14-A3-G4-M2
+Round 21 player 1: E11-C9-E2-N2-H10-L9
+Round 22 player 2: E10-M11-D2-L6-E14-G5-H14-J3
+Round 23 player 1: M10-A4-G6-B9-F11-J4
+Round 24 player 2: F10-N11-D1-I4-G11-J7-C12-M1
+Round 25 player 1: N1-E9-E1-B12-N10-G10
+Round 26 player 2: F9-M15-H2-M6-B13-I11-L1-C1
+Round 27 player 1: N5-A9-L15-F4-I10-E13
+Round 28 player 2: A10-O11-I5-N6-H15-F14-K1-B1
+Round 29 player 1: F5-I7-E7-J5-O10-F13
+Round 30 player 2: F8-I6-O6-J11-A13-J1-N13-A1
+Round 31 player 1: F1-K11-F7-J10-G13-J6
+Round 32 player 2: G8-L5-J12-H1-A12-O13-A2-L2
+Round 33 player 1: K5-K12-G1-G7-G14
+Round 34 player 2: A11-J8-J13-G2-N15-J2-B2
+Round 35 player 1: F2-M5-K9-J9-G15-E8-G9
+#expect F15

scenarios/1352042049.txt

+#potential territory
+Round 1 player 1: H9
+Round 2 player 2: D13
+Round 3 player 1: D11
+Round 4 player 2: L12
+Round 5 player 1: L11
+Round 6 player 2: D4
+Round 7 player 1: H3
+Round 8 player 2: K12-D3-D12-L4
+Round 9 player 1: E4
+Round 10 player 2: D8
+Round 11 player 1: K4
+Round 12 player 2: H12
+Round 13 player 1: C5
+Round 14 player 2: L8
+Round 15 player 1: M5
+Round 16 player 2: L5-E8-D5-M12-H11-C12-L9
+Round 17 player 1: K5-K11-E5-C4-C11-M4-H10-G3
+Round 18 player 2: L3-C3-M11-C8-L10-B12-G11
+Round 19 player 1: B11-K10-M3-K3-C6-H8-E3-H2
+Round 20 player 2: D6-L2-B8-G10-K9-A12-J12
+Round 21 player 1: K2-M2-E6-C7-A11-H7-J11-G2
+Round 22 player 2: D7-I11-J9-L6-D14-M13
+Round 23 player 1: M6-K6-E11-H6-B7-E7-J10-I3
+Round 24 player 2: G5
+Round 25 player 1: F11-M7-H5-F5-B4-K7-G4
+#expect B3

scenarios/1352137932.txt

+#restrict liberties from the group having the most
+Round 1 player 1: M3
+Round 2 player 2: D13
+Round 3 player 1: L12
+Round 4 player 2: D4
+Round 5 player 1: C8
+Round 6 player 2: M7
+Round 7 player 1: H13
+Round 8 player 2: E4-L7-D12-J13
+Round 9 player 1: H3
+Round 10 player 2: H8
+Round 11 player 1: C3
+Round 12 player 2: J2
+Round 13 player 1: C4-H4-D8-L13-G13-M4
+Round 14 player 2: N12
+Round 15 player 1: E8-L11-D3-M5-H2-I13
+Round 16 player 2: B7
+Round 17 player 1: B13
+Round 18 player 2: B2
+Round 19 player 1: J8
+Round 20 player 2: J14-G8-B8-N13-F4-J3-C2-N7-D14
+Round 21 player 1: J7-B12-F8-M11-M2-F13-D2-G4
+Round 22 player 2: B9-I14-B3-I8-F3-N11-K7-C14-J4
+Round 23 player 1: K8-B14-B4-L14-M6-E13-C9-I2
+Round 24 player 2: C1-N6-J12-E12-N10-J1-B10-G9-F2
+Round 25 player 1: N5-M10-L8-B11-I12-A4-F9-G2
+Round 26 player 2: A3-C10-H14-N14-M8-E14-J5-G10-F1
+Round 27 player 1: M9-F10-G14-I7-L6-G5-A11-D1
+Round 28 player 2: O6-B1-N9-I9-J11-A10-C15-F5-I1
+Round 29 player 1: K6-I11-B15-J9-M14-C7-I4-E3
+Round 30 player 2: O5-J10-A1-J6-B6-N15-F6-G11-F14
+Round 31 player 1: C11-I10-F11-G6-M15-K5-A5-H7
+Round 32 player 2: G7-O4-A2-F12-F7-A6-K14-K4-M13
+Round 33 player 1: D11-E11-G12-L4-K11-I5-B5-K9
+Round 34 player 2: C6-O3-F15-H10-I6-K10-M12
+Round 35 player 1: G15-C5-D10-L10-M1-G1
+Round 36 player 2: N4-C12-D6-H15-H6-E7-O14
+Round 37 player 1: D5-C13-H11-H1-N2-L15
+Round 38 player 2: I3-K12-N3-A8-D15-E2-O11
+Round 39 player 1: E5-D7-G3-K15-L1-H12
+Round 40 player 2: H5-O2-E1-K13-O9-E15-A7
+Round 41 player 1: E6-K1-J15-A14
+Round 42 player 2: K2-I15-O1-O8-A9-H9
+#expect N1

scenarios/1352138025.txt

+#connect unpromising groups, especially if they have single eyes
+Round 1 player 1: L4
+Round 2 player 2: H9
+Round 3 player 1: D4
+Round 4 player 2: D11
+Round 5 player 1: L12
+Round 6 player 2: L11
+Round 7 player 1: K12-D5-L5
+Round 8 player 2: H3
+Round 9 player 1: D8
+Round 10 player 2: E4
+Round 11 player 1: H12
+Round 12 player 2: K4
+Round 13 player 1: L8
+Round 14 player 2: C5
+Round 15 player 1: C13
+Round 16 player 2: M5
+Round 17 player 1: H4
+Round 18 player 2: G3-H8-C11-C4-K5-M4-E5-K11
+Round 19 player 1: F13
+Round 20 player 2: I3-M3-K6-E6-M11-E11-H10-C3
+Round 21 player 1: D6-L6-I4-M12-E8-L9-B13-H11-E13
+Round 22 player 2: G4-K7-B11-J11-H7-M6-C6-E7
+Round 23 player 1: L7-D7-J4-I11-J12-B12-E12
+Round 24 player 2: F7-H6-N11-J3-D12-M7-K8-C7
+Round 25 player 1: H5-N12-D3-L3-I10-A12-F12
+Round 26 player 2: N10-F8-I9-M8-C8-K3-D13
+Round 27 player 1: E3-L2-G5-J10-A11-O12-E14
+Round 28 player 2: F5-G6-L10-F3-C2-M2-D14
+Round 29 player 1: K2-D2-J5-A10-O11-G11-E15
+Round 30 player 2: F9-G10-C1-M9-J2-O10-F11
+Round 31 player 1: D1-J6-K1-B10-J9-D15-J13
+Round 32 player 2: B8-N2-E9-K10-I6-K9-C14
+Round 33 player 1: D9-J7-J8-J1-B14-C15-J14
+Round 34 player 2: F2-O2-F10-B9
+Round 35 player 1: I1-D10-A9-I7-J15-F14
+Round 36 player 2: M1-E2-A8-C10
+Round 37 player 1: I2-E1-C12-I8-O13-G13
+Round 38 player 2: L1-C9-F1
+Round 39 player 1: H2-E10-O14-I5-G14-A14
+Round 40 player 2: O3-B6-G2
+#expect B15

scenarios/1352138163.txt

+#connect to preserve eyes
+Round 1 player 1: D3
+Round 2 player 2: M13
+Round 3 player 1: M4
+Round 4 player 2: C13
+Round 5 player 1: C5
+Round 6 player 2: M7
+Round 7 player 1: E13
+Round 8 player 2: G3
+Round 9 player 1: M11
+Round 10 player 2: C12-G4-L7-L13-E11
+Round 11 player 1: K3
+Round 12 player 2: C7
+Round 13 player 1: H12
+Round 14 player 2: M2
+Round 15 player 1: H11-D13-M10-C6-J3-N4-D2
+Round 16 player 2: I9
+Round 17 player 1: H10-D6-I3-M12-D14-N3-E2
+Round 18 player 2: B3
+Round 19 player 1: B10
+Round 20 player 2: H14
+Round 21 player 1: I7
+Round 22 player 2: C14-N13-D7-N2-C3-I10-F11-G14-K7-G2
+Round 23 player 1: C10-I8-C2-H9-N12-E6-D15-H3-N5
+Round 24 player 2: C4-E7-L2-I11-N7-O13-C15-H4-F14-G11
+Round 25 player 1: I12-B2-O12-F6-N6-K2-B11-F13-J8
+Round 26 player 2: F7-A3-J9-L3-G13-B12-H2-O7-L12-G10
+Round 27 player 1: G12-D10-A2-I2-M9-M6-K8-G6-E15
+Round 28 player 2: D4-K9-F12-L8-B7-I14-I4-L1-A12-L11
+Round 29 player 1: D12-D11-L10-I13-K1-G7-F2-O6-J7
+Round 30 player 2: O2-G9-K10-E4-J14-B6-G1-A11-L6-K12
+Round 31 player 1: M14
+Round 32 player 2: G8-J11-B5-N14-F1-F15-O3-N8-A10-E5
+Round 33 player 1: H8-L14-L9-E10-E1-O4-F5-J4
+Round 34 player 2: N9-N15-L4-F10-E3-J10-H1-K14-B8-C11
+Round 35 player 1: N10-F3-F4-L15-M3-B9-I1-J12
+Round 36 player 2: O9-A9-H5-K4-E12-M15-D5-K15-D8
+Round 37 player 1: E9-M5-J5-O10-J13-H6
+Round 38 player 2: K5-G5-M8-F9-A4-B15-O15-D9-E14
+Round 39 player 1: E8-L5-J6-B1-O11
+Round 40 player 2: F8-I5-N1-A15-H13-O8-O14
+Round 41 player 1: C9-K6-C1-O5-N11
+Round 42 player 2: I6-H15-A13-C8-O1-K11
+Round 43 player 1: K13-A1
+Round 44 player 2: A8-I15-M1
+Round 45 player 1: A6
+Round 46 player 2: B14-G15
+#expect H7

scenarios/1352750167.txt

+#don't connect too fast
+H8
+C12
+C11
+D3
+E3
+L13
+L12
+D12-D4-K13-M4
+B11-E2-H7-K12
+K3
+D2-D11-H6-M12
+H12
+C2-E11-H5-M13
+D8
+B2-E12-H4-M14
+L8
+B12-E4-H3-J12
+H11-D5-L9-J13-C13-J3-C8-N4
+B3-B13-H2-I12
+C14-I13-E5-I11-B8-I3-L10-O4
+N9
+B14-F5-L14-I2-M10-J11-E8-N5
+A13-B4-H1-M11-N10
+F4-I1-K11-A14-F8-L15-K8-N6
+B5-F12-H9-M15-N8
+F3-I4-N7-G12-M8-A8-D14-I14
+L2
+I5-F2-E14-G8-O7-G13-J8-I15
+B6-F13-I6-K2-L11-O8
+F14-L3-G7-I8-F1-H10-N3-H15
+B10-C6-J6-M2-N12-O10
+N2-I9-J5-E1-G9-E13-G11-H14
+B7-F11-K6-M1-O11-O12
+N1-K5-D1-A7-I7-J14-A15-J10
+A11-D6-K1-L6-M9
+L5-C1-A6-M6-L7-K14-B15
+B1-B9-G6-J2-N15
+#exclude-any E6-E7
+#exclude-any F6-F7

scenarios/1352750817.txt

+#enclose territory
+M4
+H8
+L13
+K13
+D3
+D4
+L12-E3-L4
+C12
+E13
+D12-E4-I8-K14
+H4
+E12-F4-J8-L14
+H12
+C4-F12-K8-M14
+D8
+C3-D13-L8-N14
+E8-K12-E14-F3-K4-G4-H11
+C2-D14-M8-N13
+F13-C8-D2-M12-N4-H10-G5
+J2
+N12-B8-F5-E15-D1-G12-J4
+C1-D15-J14-K2-N8
+E5-O12-J3-H9-A8-F2-F15
+B4-B12-H7-I14-L2
+D5-I9-O13-I3-F8-G15-G2
+B5-B11-H6-I2-O14
+H2-J9-G6-G8-N5-H15-J12
+B6-B10-I13-M2-N7
+K9-N6-H5-I15-H1-A7-J13
+A6-B9-I6-I12-N2
+L9-C9-I1-J15-N3-I5-M13
+C6-C10-I11-J1-J6
+M9-J11-K15-A9-D6-M6-E1
+A10-C7-H14-N9-O2
+M7-I10-L15-D9-C5-O11-F1
+D7-D10-H13-N10-O3
+G7-O6-G13-O10-G1
+E7-F11-L7-M15-O4
+E9-L6-E2-G14-O9
+K6-E6-E10-K3-O15
+F9-L3-O8-G10
+M10-F6-M3-F10-N15
+#expect-all M11-L10

scenarios/1352840363.txt

+#limit invading expansions
+H5
+L12
+E11
+L3
+L10
+M7
+C3
+D13
+M3
+L11-D12-L2-L7-C9
+L13
+J13
+C8
+F3
+H13
+H8
+B13
+E3-B9-G8-M2-I13-D14-M12-N7
+M13-M4-B8-L9-H4-D3-H14-B14-E12
+D9-L4-N12-E13-G3-K13-F8-L8
+H3-N13-D8-M5-E10-H12-B3-K9-B12
+E4-F13-N2-I12-K8-A9-O12-E8
+J9-H2-H11-M6-A8-O13-D4-B11-F10
+E5-N6-N3-K14-G13-K11-H7-A10
+D5-H6-G14-J8-L14-D7-L6-C14-F9
+G2-I14-F14-N5-A11-L5-K10-I7
+I11-J10-N4-H1-D2-L15-E7-G9-A12
+E9-E6-J11-K15-G12-K2-O5
+E2-K6-M9-F7-I6-C15-D10-G15-O14
+B5
+N9-K5-A3-F15-D15-G1-F6-H9-N14
+J7-C5-F2-G11-K4-O4-I15-M11
+N8-F1-F5-G10-A4-C12-H15-J5-M14
+D6-J4-I8-A5-D11-M10-O7-J14
+N10-I4-G7-C11-C10-K7-C4-O15
+I9-C13-G4-O8-J2-B4-N11-J15
+N1
+#expect M1

scenarios/1352840941.txt

+#connect to preserve eyes in endgame
+D13
+K7
+L12
+F11
+D4
+E4
+D5-L11-D12
+L13
+L4
+L3
+M8
+C7
+H3
+B13
+H13
+N9
+H8
+H14
+M4-N8-I13-H7-G3-D11-D3-M12
+M3-M13-F4-J7-G11-C6-B12-N10-G14
+N4-I14-C5-D10-N12-M9-F3-H6
+N3-N13-L7-C8-B11-E3-H11-F14-M10
+B5-D14-K4-G4-H9-L10-I15-M7
+K3-E2-K13-I11-B14-I7-C9-E14-O9
+C10-D2-O8-F2-J4-O12-I6-G13
+J3-B10-E1-O13-L6-B6-J11-N11-E13
+I3-D1-M6-D9-O4-J6-H15-K12
+L5-F5-O3-A6-F10-K14-C14-O11-G15
+A5-J12-F1-D8-K5-H10-L8-J15
+G5-J2-F9-K15-M5-D7-C15-E15-M11
+E5-D15-H5-I2-N5-K8-F13-K11
+J1-E7-F8-J8-F6-C12-E12-J14-O10
+E6-K9-E8-I10-F12-K10-I1-O5
+G6-G8-I8-C13-D6-J13-M2-F15
+I12-E11-G7-C1-G1-O6
+M1-G9-C11-I9-A7-L15
+F7-E10-B1-J9-H2
+J10-K6-O2-A10-N14-A8
+E9-A1-G10-H12-I4
+A9-G12-N15-N1
+B2-N7-J5
+B15-O14-L1
+A3
+M14-N2-A14
+A12
+A11-K2-L14
+#expect-any O7-N6

scenarios/1352998252.txt

+#cut when possible
+D12
+J6
+L12
+D7
+L4
+E12
+D11-K12-K4
+G3
+D4
+M12
+H12
+N5
+L8
+K6-D6-E11-F3-M11-M5
+C8
+K5-C7-F12-E3-L11-M4
+H3
+J5-D8-G12-D3-K11-M3
+L5-D13-C4-H2-B8-H11-L13-M8
+L6-D5-E13-G2-M13-L3
+C3-H4-K3-B7-G11-L14-D14-N8
+J4-C5-F11-G4-M14-N6
+C2-K2-E14-H5-L15-K8-H13-C9
+K7-D9-G13-E4-M15-L2
+D10-G5-D2-J8-H14-K1-B6-J12
+J7-C6-E10-E2-J11-N7
+B5-F5-L1-O8-G14-D1-C14-K14
+I5-E6-F13-F4-I11-O7
+E5-G10-M1-E1-M7-B14-B9-J14
+L7-F6-F14-F2-I12-M2
+M6-I13-N1-G6-F1-E15-B10-J15
+I6-F7-F15-G1-I10-N2
+F10-H1-J3-I8-A14-B2-B11-I15
+I4-G7-G15-H10-O2
+#expect-all I7-H6

scenarios/1353009327.txt

+#don't allow opponent to enclose
+D13
+H8
+L12
+D12
+L3
+L4
+K3-E13-L11
+D4
+C9
+L13
+M7
+I3
+F3
+G13
+J13
+L10
+C4
+B4
+#expect-any E12-F13
+#expect-any K4-J3

scenarios/1353010739.txt

+#don't connect too early
+D13
+H8
+L12
+D12
+L3
+L4
+K3-E13-L11
+D4
+C9